Giuseppe D'Angelo wrote:
> I don't agree, 5.10 releases should be done on a regular basis until
> 5.11.1 is out (Yes, .1, many users don't upgrade to .0 versions...)

+1, I also agree with you and therefore disagree with the original proposal.

Especially security warrants always having one current release branch 
active. There is one Qt component (QtWebEngine) for which it is essentially 
GUARANTEED that there will be security concerns to address. In addition, 
security issues can hit any Qt component at any time. Those MUST be 
addressed in a timely manner for Qt to be usable.

While offering security fixes as patches attached to security advisories can 
work for some components, this is not always workable. In particular, 
QtWebEngine just cannot be handled that way.

And of course, there can also be other bugs that users will want fixed 
sooner rather than later.

        Kevin Kofler

_______________________________________________
Development mailing list
Development@qt-project.org
http://lists.qt-project.org/mailman/listinfo/development

Reply via email to